%define with_mem_tests  0
%define with_perf_tests 0
#%define apiver %(echo %version|cut -d. -f1-2)
%define apiver 1.2
Name:          libmdds12
Version:       1.3.1
Release:       2mamba
Summary:       A collection of multi-dimensional data structure and indexing algorithm (mdds)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://code.google.com/p/multidimalgorithm/
Source:        https://gitlab.com/mdds/mdds.git/%{version}/mdds-%{version}.tar.bz2 
Patch0:        libmdds-0.5.3-boost-1.50.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libboost-devel
%if %with_mem_tests
BuildRequires: valgrind
%endif
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This library provides a collection of multi-dimensional data structure and indexing algorithm.
All data structures are available as C++ templates, hence this is a header-only library, with no shared library to link against.

It implements the following data structures:
* segment tree
* flat segment tree 
* rectangle set
* point quad tree
* mixed type matrix

%package devel
Group:         Development/Libraries
Summary:       Headers for %{name}

%description devel
A collection of multi-dimensional data structure and indexing algorithm (mdds).

This package contains header files need for %{name}.

%prep
%setup -q -n mdds-%{version}
#%patch0 -p1

#sed -i -e '/^CPPFLAGS/s/-Wall.*-std/%{optflags} -std/' Makefile.in

%build
./autogen.sh
%configure \
  --docdir=%{_docdir}/%{name}-%{version}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_docdir}

%check
%make check
#for test in fst pqt recset st; do
#  make test.$test
#done
#%if %with_perf_tests
#  for t in recset st; do
#    make test.$t.perf
#  done
#  make test.stl
#%endif
#%if %with_mem_tests
#  for t in fst pqt recset st; do
#    make test.$t.mem
#  done
#%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mdds-%{apiver}
%dir %{_includedir}/mdds-%{apiver}/mdds
%{_includedir}/mdds-%{apiver}/mdds/*
%{_datadir}/pkgconfig/mdds-%{apiver}.pc
%doc AUTHORS VERSION

%changelog
* Sat Jan 19 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-2mamba
- legacy package

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Mon Sep 12 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Jun 25 2016 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sat Jun 20 2015 Automatic Build System <autodist@mambasoft.it> 0.12.1-1mamba
- automatic version update by autodist

* Sat Feb 07 2015 Automatic Build System <autodist@mambasoft.it> 0.12.0-1mamba
- automatic version update by autodist

* Mon Dec 22 2014 Automatic Build System <autodist@mambasoft.it> 0.11.2-1mamba
- automatic version update by autodist

* Sat Oct 04 2014 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Sun Apr 27 2014 Automatic Build System <autodist@mambasoft.it> 0.10.3-1mamba
- automatic version update by autodist

* Thu Feb 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-1mamba
- update to 0.10.2

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Tue Feb 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-1mamba
- update to 0.6.1

* Tue Aug 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.3-3mamba
- added patch to fix build with libboost 1.50 (and then libreoffice)

* Thu Oct 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.3-2mamba
- (lost changelog)

* Thu Oct 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.3-1mamba
- update to 0.5.3

* Sun Apr 10 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.5.1-2mamba
- rebuilt

* Sat Jan 22 2011 gil <puntogil@libero.it> 0.5.1-1mamba
- package created by autospec
